package com.facebook.imagepipeline.common;

import X.C3014QCt;
import X.C3168QIr;
import X.QE1;
import X.QEY;
import android.graphics.Bitmap;
import com.bytedance.covode.number.Covode;

public class ImageDecodeOptionsBuilder {
    public int LIZ = 100;
    public boolean LIZIZ;
    public int LIZJ = QEY.LIZIZ;
    public boolean LIZLLL;
    public boolean LJ;
    public boolean LJFF;
    public boolean LJI;
    public Bitmap.Config LJII = Bitmap.Config.ARGB_8888;
    public C3014QCt LJIIIIZZ;
    public QE1 LJIIIZ;
    public Object LJIIJ;

    static {
        Covode.recordClassIndex(41442);
    }

    public final C3168QIr LIZ() {
        return new C3168QIr(this);
    }

    public ImageDecodeOptionsBuilder LIZ(int i) {
        this.LIZJ = i;
        return this;
    }

    public ImageDecodeOptionsBuilder setBitmapConfig(Bitmap.Config config) {
        this.LJII = config;
        return this;
    }
}
